import { type Base, genBase } from "./_base"
import { genDevice, type Device } from "./device"

export interface DeviceOrderItem extends Base {
  deviceOrder_id: number
  device_code: string
  device: Device
  quantity: number
}

export function genDeviceOrderItem(): DeviceOrderItem {
  return {
    ...genBase(),
    deviceOrder_id: 0,
    device_code: '',
    device: genDevice(),
    quantity: 0,
  }
}
